package com.ywt.outpatient.taihe.rpc.domain.enums;


/**
 * 退款状态枚举
 * 退款状态 1: 退款成功，2: 退款异常，3: 退款关闭
 *
 * @author johnson lin
 * @date 2019/4/29 9:51 PM
 */
public enum RefundStatus {
    /**
     * 退款处理中
     */
    PROCESSING("处理中", 0),
    SUCCESS("退款成功", 1),
    EXCEPTION("退款异常", 2),
    CLOSED("退款关闭", 3);

    private final String displayName;

    private final int value;

    RefundStatus(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
